Summary:	A system documentation reader from the GNOME project
Summary(pl.UTF-8):	Czytnik dokumentacji z projektu GNOME
Name:		yelp
Version:	40.3
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/yelp/40/%{name}-%{version}.tar.xz
# Source0-md5:	e9d25bcdd9550d742b1f48a62a218955
URL:		https://wiki.gnome.org/Apps/Yelp
BuildRequires:	appstream-glib-devel
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11.2
BuildRequires:	bzip2-devel
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gtk+3-devel >= 3.13.3
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	gtk-webkit4-devel >= 2.20.0
BuildRequires:	itstool >= 1.2.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	libxslt-devel >= 1.1.22
BuildRequires:	pkgconfig >= 1:0.15.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	xz-devel >= 1:4.9
BuildRequires:	yelp-xsl >= 40.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.38.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	docbook-dtd412-xml
Requires:	docbook-dtd42-xml
Requires:	docbook-dtd43-xml
Requires:	docbook-dtd44-xml
Requires:	docbook-dtd45-xml
Requires:	docbook-style-xsl-nons >= 1.55.0
Requires:	yelp-xsl >= 40.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yelp is the default help browser for the GNOME desktop. Yelp provides
a simple graphical interface for viewing DocBook, HTML, man, and info
formatted documentation.

%description -l pl.UTF-8
Yelp jest domyślną przeglądarką pomocy dla biurka GNOME. Dostarcza
prosty graficzny interfejs do oglądania dokumentacji w formatach
DocBook, HTML, man i info.

%package libs
Summary:	yelp library
Summary(pl.UTF-8):	Biblioteka yelp
Group:		Libraries

%description libs
yelp library.

%description libs -l pl.UTF-8
Biblioteka yelp.

%package devel
Summary:	Header files for yelp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki yelp
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.38.0
Requires:	gtk+3-devel >= 3.13.3
Requires:	gtk-webkit4-devel >= 2.20.0
Requires:	libxml2-devel >= 1:2.6.31
Requires:	libxslt-devel >= 1.1.22

%description devel
Header files for yelp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki yelp.

%package apidocs
Summary:	yelp library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki yelp
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
yelp library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki yelp.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-schemas-compile \
	--disable-static \
	--disable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/yelp/web-extensions/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%glib_compile_schemas

%postun
%update_desktop_database_postun
%glib_compile_schemas

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/gnome-help
%attr(755,root,root) %{_bindir}/yelp
%{_datadir}/glib-2.0/schemas/org.gnome.yelp.gschema.xml
%{_datadir}/metainfo/yelp.appdata.xml
%{_datadir}/yelp
%{_datadir}/yelp-xsl/xslt/common/domains/yelp.xml
%{_desktopdir}/yelp.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Yelp.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Yelp-symbolic.svg

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libyelp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyelp.so.0
%dir %{_libdir}/yelp
%dir %{_libdir}/yelp/web-extensions
%attr(755,root,root) %{_libdir}/yelp/web-extensions/libyelpwebextension.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libyelp.so
%{_includedir}/libyelp

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libyelp
%changelog
* Sat Jul 10 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yelp.git;a=log;h=master

* Sat Jul 10 2021 Jakub Bogusz <qboosh@pld-linux.org> 9e12252
- updated to 40.3

* Tue Jun 08 2021 Jakub Bogusz <qboosh@pld-linux.org> 1faf5a2
- updated to 40.2

* Mon Apr 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 5f126ae
- updated to 40.0

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 93c5070
- unconditional noarch subpackages

* Sun Feb 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 706cd66
- updated to 3.38.3

* Sun Nov 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 52d46ea
- updated to 3.38.2

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 6973d14
- updated to 3.38.1

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 47946d6
- updated to 3.38.0

* Tue Apr 14 2020 Jakub Bogusz <qboosh@pld-linux.org> fe42c98
- updated to 3.36.0

* Sat Nov 23 2019 Jakub Bogusz <qboosh@pld-linux.org> c1ccf3b
- updated to 3.34.0

* Thu Mar 22 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 077e7ec
- Update to 3.28.0

* Thu Sep 29 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 7c2e167
- Update to 3.22.0

* Mon Apr 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 31cda5e
- Update to 3.20.1

* Tue Mar 29 2016 Bartlomiej Zimon <uzi18@o2.pl> 2eb0fb1
- rel 2

* Tue Mar 29 2016 Bartlomiej Zimon <uzi18@o2.pl> 253d835
- add dir to libs

* Sun Mar 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ca287a2
- Update to 3.20.0

* Tue Dec 29 2015 Łukasz Kieś <kiesiu@pld-linux.org> c263aa5
- updated to 3.18.1

* Mon Sep 28 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 65ca919
- Update to 3.18.0

* Mon May 11 2015 Marcin Banasiak <marcin.banasiak@gmail.com> ba603d9
- Update to 3.16.1

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 9b468e0
- x32 rebuild
- release 2 (by relup.sh)

